org.apache.ignite.internal.visor.snapshot

## Class VisorSnapshotOneNodeTask<A,R>

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,VisorSnapshotTaskResult,R>
  - - org.apache.ignite.internal.visor.snapshot.VisorSnapshotOneNodeTask<A,R>

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<A>,VisorSnapshotTaskResult>

Direct Known Subclasses:
  VisorSnapshotCancelTask, VisorSnapshotCheckTask, VisorSnapshotCreateTask, VisorSnapshotRestoreTask

    public abstract class VisorSnapshotOneNodeTask<A,R>
    extends VisorMultiNodeTask<A,VisorSnapshotTaskResult,R>

Base class for single node visor snapshot task.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorSnapshotOneNodeTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected @Nullable VisorSnapshotTaskResult` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`job, jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorSnapshotOneNodeTask

    public VisorSnapshotOneNodeTask()

### Method Detail

#### reduce0

    @Nullable
    protected @Nullable VisorSnapshotTaskResult reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<A,VisorSnapshotTaskResult,R>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022